:root {
    --sans-serif: system-ui, sans-serif;
    --monospace: monospace;
    scroll-behavior: smooth;
}

*, 
*::before,
*::after {
    box-sizing: border-box;
}

img, video {
    max-width: 100%;
    display: block;
    height: auto;
}

body {
    display: grid;
    grid-template-columns: 1fr minmax(auto, 50rem) 1fr;
    row-gap: 1.5rem;
    padding: 3rem 0;
    align-content: start;

    min-height: 100vh;
    margin: 0;
    font-family: var(--sans-serif);
    text-align: left;
    &:is(html.dark *) {
        background-color: #1e1d1d;
        color: #ddd;
    }
    &:is(html.light *) {
        background-color: #ddd;
        color: #111;
    }

    > * {
        grid-column: 2/3;
    }

    h1 {
        margin: 0;
    }

    h2 {
        margin: 0;
    }

    p  {
        margin: 0;
        line-height: 1.4;
    }

    a {
        &:is(html.dark *) { color: #d09074; }
    }

    code[class*="language-"],
    pre[class*="language-"] {
        margin: 0;
        font-family: var(--monospace);
    }
    
    ul, ol {
        margin: 0;
        padding: 0 0 0 1.2rem;
        line-height: 1.4;
    }
}
